net.sourceforge.pmd.ant

## Class PMDTaskTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.apache.tools.ant.BuildFileTest
      - - net.sourceforge.pmd.ant.PMDTaskTest

All Implemented Interfaces:
  junit.framework.Test

    public class PMDTaskTest
    extends org.apache.tools.ant.BuildFileTest

### Field Summary

### Fields inherited from class org.apache.tools.ant.BuildFileTest

`project`

### Constructor Summary

Constructors
Constructor and Description
`PMDTaskTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testAbstractNames()`
`void` `testAbstractNamesInNestedRuleset()`
`void` `testBasic()`
`void` `testClasspath()`
`void` `testCommaInRulesetfiles()`
`void` `testEcmascript()`
`void` `testExplicitRuleInRuleSet()`
`void` `testFormatterWithNoToFileAttribute()`
`void` `testFormatterWithProperties()`
`void` `testInvalidLanguageVersion()`
`void` `testNestedRuleset()`
`void` `testNoFormattersValidation()`
`void` `testNoRuleSets()`
`void` `testRelativeRulesets()`
`void` `testRelativeRulesetsInRulesetfiles()`
`void` `testXML()`

### Methods inherited from class org.apache.tools.ant.BuildFileTest

`assertDebuglogContaining, assertLogContaining, assertOutputContaining, assertPropertyEquals, assertPropertySet, assertPropertyUnset, configureProject, configureProject, executeTarget, expectBuildException, expectBuildExceptionContaining, expectDebuglog, expectLog, expectLogContaining, expectOutput, expectOutputAndError, expectPropertySet, expectPropertySet, expectPropertyUnset, expectSpecificBuildException, getBuildException, getError, getFullLog, getLog, getOutput, getProject, getProjectDir, getResource, tearDown`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PMDTaskTest

    public PMDTaskTest()

### Method Detail

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

#### testNoFormattersValidation

    public void testNoFormattersValidation()

#### testFormatterWithNoToFileAttribute

    public void testFormatterWithNoToFileAttribute()

#### testNoRuleSets

    public void testNoRuleSets()

#### testNestedRuleset

    public void testNestedRuleset()

#### testFormatterWithProperties

    public void testFormatterWithProperties()

#### testAbstractNames

    public void testAbstractNames()

#### testAbstractNamesInNestedRuleset

    public void testAbstractNamesInNestedRuleset()

#### testCommaInRulesetfiles

    public void testCommaInRulesetfiles()

#### testRelativeRulesets

    public void testRelativeRulesets()

#### testRelativeRulesetsInRulesetfiles

    public void testRelativeRulesetsInRulesetfiles()

#### testBasic

    public void testBasic()

#### testInvalidLanguageVersion

    public void testInvalidLanguageVersion()

#### testExplicitRuleInRuleSet

    public void testExplicitRuleInRuleSet()

#### testEcmascript

    public void testEcmascript()

#### testXML

    public void testXML()

#### testClasspath

    public void testClasspath()

#### suite

    public static junit.framework.Test suite()